import{s as Ne,n as Ee,o as qe}from"../chunks/scheduler.7bc62968.js";import{S as ze,i as Se,g as r,s,r as N,A as Re,h as l,f as i,c as n,j as Le,u as E,x as o,k as Ve,y as Ue,a,v as q,d as z,t as S,w as R}from"../chunks/index.2f8492b0.js";import{H as U}from"../chunks/Heading.14fb2476.js";function We(de){let h,I,W,O,c,F,p,Y,m,fe='<a href="https://arxiv.org/abs/2306.00989" rel="nofollow">Hiera</a> (Hierarchical Vision Transformer) is an architecture that achieves high accuracy without the need for specialized components found in other vision models. The authors propose pretraining Hiera with a strong visual pretext task to remove unnecessary complexity and create a faster and more accurate model.',B,u,ve='<img src="https://huggingface.co/datasets/hf-vision/course-assets/resolve/main/hiera_images/hiera_architecture.png" alt="Hiera Architecture"/>',D,d,G,f,ge="CNNs and hierarchical models are well-suited for computer vision tasks because they can effectively capture the hierarchical and spatial structure of visual data. These models use fewer channels but higher spatial resolution in the early stages to extract simpler features and more channels but lower spatial resolution in the later stages to extract more complex features.",J,v,ye='<img src="https://huggingface.co/datasets/hf-vision/course-assets/resolve/main/hiera_images/CNN_architecture.webp" alt="CNNs"/>',K,g,we="On the other hand, Vision Transformers (ViTs) are more accurate, scalable, and architecturally simple models that took computer vision by storm when they were introduced. However, this simplicity comes at a cost: they lack this “vision inductive bias” (their architecture is not designed to work specifically with visual data).",Q,y,xe="Many efforts have been made to adapt ViTs, generally by adding hierarchical components to compensate for this lack of inductive bias in their architecture. Unfortunately, all of the resulting models turned out to be slower, bigger and more difficult to scale.",X,w,Z,x,$e="Authors of the Hiera paper argue that a ViT model can learn spatial reasoning and perform well on computer vision tasks by using a strong visual pretext task called MAE and thus, they can remove unnecessary components and complexity from state-of-the-art multi-stage vision transformers to achieve greater accuracy and speed.",ee,$,be='What components are the paper authors actually removing? To understand this we first have to introduce <a href="https://arxiv.org/abs/2112.01526" rel="nofollow">MViTv2</a> which is the base hierarchical architecture from which Hiera is derived. MViTv2 learns multi-scale representations over its four stages: it starts by modeling low level features with a small channel capacity but high spatial resolution, and then in each stage trades channel capacity for spatial resolution to model more complex high-level features in deeper layers.',te,b,Te='<img src="https://huggingface.co/datasets/hf-vision/course-assets/resolve/main/hiera_images/mvitv2.png" alt="MViTv2"/>',ie,T,_e="Instead of digging deep into MViTv2’s key features (since it’s not our main topic), we will breifly explain them in the next section to illustrate how researchers create Hiera by simplyfing this base architecture.",ae,_,se,C,Ce='<img src="https://huggingface.co/datasets/hf-vision/course-assets/resolve/main/hiera_images/hiera_changes.png" alt="Simplifying MViTv2"/>',ne,M,Me="This table lists all the changes that authors made to MViTv2 in order to create Hiera and how each change affects accuracy and speed on images and video.",re,H,He='<li><strong>Replacing relative with absolute position embeddings</strong>: MViTv2 swaps the absolute position embeddings from the original <a href="https://arxiv.org/abs/2010.11929" rel="nofollow">ViT</a> paper with relative ones added to attention in each block. Authors undo this change because it added more complexity to the model and, as it can be seen in the table, these relative position embeddings are not necessary when training with MAE (both accuracy and speed improve with this change).</li> <li><strong>Removing convolutions</strong>: Since the key idea of the paper is that a model can learn spatial biases by pretraining with a strong visual pretext task, removing convolutions, which are vision specific modules and add potentially unnecessary overhead seems to be an important change. Authors first replace every conv with a max pooling layer which decreases accuracy at first because of the huge impact it has on the image features. However, they realize that they can remove some of these extra max pooling layers, specifically the ones with a stride of 1 since they are basically applying a ReLU on every feature map. By doing so, authors nearly returned to the accuracy they had before, while speeding up the model by 22% for images and 27% for video.</li>',le,k,oe,P,ke="Masked Autoencoder (MAE) is an unsupervised training paradigm. As with any other autoencoder, it consists of encoding high dimensional data (images) into a lower dimension representation (embeddings) in such a way that this data can be decoded into the original high dimensional data again. However, the visual MAE technique consists of dropping a certain amount of patches (around 75%), encoding the rest of the patches, and then trying to predict the missing ones. This idea has been used extensively in recent years as a pre-training task for image encoders.",he,A,Pe='<img src="https://huggingface.co/datasets/hf-vision/course-assets/resolve/main/hiera_images/mae.png" alt="MAE"/>',ce,L,pe,V,Ae="In the era dominated by transformer models, there are still a lot of attempts to improve this simple architecture, adding the complexity of CNN to convert them into hierarchical models again. Although hierarchical models excel in computer vision, this study demonstrates that achieving hierarchical transformers doesn’t necessitate intricate architectural modifications. Instead, a concentrated emphasis on the training task alone can yield simple, fast, and precise models.",me,j,ue;return c=new U({props:{title:"Overview",local:"overview",headingTag:"h2"}}),p=new U({props:{title:"What is Hiera?",local:"what-is-hiera",headingTag:"h3"}}),d=new U({props:{title:"From CNNs to ViTs",local:"from-cnns-to-vits",headingTag:"h3"}}),w=new U({props:{title:"Hiera’s Approach: Pretraining Task is All You Need",local:"hieras-approach-pretraining-task-is-all-you-need",headingTag:"h3"}}),_=new U({props:{title:"Simplifying MViTv2",local:"simplifying-mvitv2",headingTag:"h3"}}),k=new U({props:{title:"Masked Autoencoder",local:"masked-autoencoder",headingTag:"h3"}}),L=new U({props:{title:"Why Does Hiera Matter?",local:"why-does-hiera-matter",headingTag:"h2"}}),{c(){h=r("meta"),I=s(),W=r("p"),O=s(),N(c.$$.fragment),F=s(),N(p.$$.fragment),Y=s(),m=r("p"),m.innerHTML=fe,B=s(),u=r("p"),u.innerHTML=ve,D=s(),N(d.$$.fragment),G=s(),f=r("p"),f.textContent=ge,J=s(),v=r("p"),v.innerHTML=ye,K=s(),g=r("p"),g.textContent=we,Q=s(),y=r("p"),y.textContent=xe,X=s(),N(w.$$.fragment),Z=s(),x=r("p"),x.textContent=$e,ee=s(),$=r("p"),$.innerHTML=be,te=s(),b=r("p"),b.innerHTML=Te,ie=s(),T=r("p"),T.textContent=_e,ae=s(),N(_.$$.fragment),se=s(),C=r("p"),C.innerHTML=Ce,ne=s(),M=r("p"),M.textContent=Me,re=s(),H=r("ul"),H.innerHTML=He,le=s(),N(k.$$.fragment),oe=s(),P=r("p"),P.textContent=ke,he=s(),A=r("p"),A.innerHTML=Pe,ce=s(),N(L.$$.fragment),pe=s(),V=r("p"),V.textContent=Ae,me=s(),j=r("p"),this.h()},l(e){const t=Re("svelte-u9bgzb",document.head);h=l(t,"META",{name:!0,content:!0}),t.forEach(i),I=n(e),W=l(e,"P",{}),Le(W).forEach(i),O=n(e),E(c.$$.fragment,e),F=n(e),E(p.$$.fragment,e),Y=n(e),m=l(e,"P",{"data-svelte-h":!0}),o(m)!=="svelte-164bo80"&&(m.innerHTML=fe),B=n(e),u=l(e,"P",{"data-svelte-h":!0}),o(u)!=="svelte-4tfkgy"&&(u.innerHTML=ve),D=n(e),E(d.$$.fragment,e),G=n(e),f=l(e,"P",{"data-svelte-h":!0}),o(f)!=="svelte-1ndpe1f"&&(f.textContent=ge),J=n(e),v=l(e,"P",{"data-svelte-h":!0}),o(v)!=="svelte-1szpz9z"&&(v.innerHTML=ye),K=n(e),g=l(e,"P",{"data-svelte-h":!0}),o(g)!=="svelte-10y31yr"&&(g.textContent=we),Q=n(e),y=l(e,"P",{"data-svelte-h":!0}),o(y)!=="svelte-1q5bgys"&&(y.textContent=xe),X=n(e),E(w.$$.fragment,e),Z=n(e),x=l(e,"P",{"data-svelte-h":!0}),o(x)!=="svelte-5danx"&&(x.textContent=$e),ee=n(e),$=l(e,"P",{"data-svelte-h":!0}),o($)!=="svelte-6sxof8"&&($.innerHTML=be),te=n(e),b=l(e,"P",{"data-svelte-h":!0}),o(b)!=="svelte-16cjei5"&&(b.innerHTML=Te),ie=n(e),T=l(e,"P",{"data-svelte-h":!0}),o(T)!=="svelte-1uqfygm"&&(T.textContent=_e),ae=n(e),E(_.$$.fragment,e),se=n(e),C=l(e,"P",{"data-svelte-h":!0}),o(C)!=="svelte-1mu6sph"&&(C.innerHTML=Ce),ne=n(e),M=l(e,"P",{"data-svelte-h":!0}),o(M)!=="svelte-q7z0qq"&&(M.textContent=Me),re=n(e),H=l(e,"UL",{"data-svelte-h":!0}),o(H)!=="svelte-1ka9l16"&&(H.innerHTML=He),le=n(e),E(k.$$.fragment,e),oe=n(e),P=l(e,"P",{"data-svelte-h":!0}),o(P)!=="svelte-k259cb"&&(P.textContent=ke),he=n(e),A=l(e,"P",{"data-svelte-h":!0}),o(A)!=="svelte-hlbfp7"&&(A.innerHTML=Pe),ce=n(e),E(L.$$.fragment,e),pe=n(e),V=l(e,"P",{"data-svelte-h":!0}),o(V)!=="svelte-18jmdfi"&&(V.textContent=Ae),me=n(e),j=l(e,"P",{}),Le(j).forEach(i),this.h()},h(){Ve(h,"name","hf:doc:metadata"),Ve(h,"content",je)},m(e,t){Ue(document.head,h),a(e,I,t),a(e,W,t),a(e,O,t),q(c,e,t),a(e,F,t),q(p,e,t),a(e,Y,t),a(e,m,t),a(e,B,t),a(e,u,t),a(e,D,t),q(d,e,t),a(e,G,t),a(e,f,t),a(e,J,t),a(e,v,t),a(e,K,t),a(e,g,t),a(e,Q,t),a(e,y,t),a(e,X,t),q(w,e,t),a(e,Z,t),a(e,x,t),a(e,ee,t),a(e,$,t),a(e,te,t),a(e,b,t),a(e,ie,t),a(e,T,t),a(e,ae,t),q(_,e,t),a(e,se,t),a(e,C,t),a(e,ne,t),a(e,M,t),a(e,re,t),a(e,H,t),a(e,le,t),q(k,e,t),a(e,oe,t),a(e,P,t),a(e,he,t),a(e,A,t),a(e,ce,t),q(L,e,t),a(e,pe,t),a(e,V,t),a(e,me,t),a(e,j,t),ue=!0},p:Ee,i(e){ue||(z(c.$$.fragment,e),z(p.$$.fragment,e),z(d.$$.fragment,e),z(w.$$.fragment,e),z(_.$$.fragment,e),z(k.$$.fragment,e),z(L.$$.fragment,e),ue=!0)},o(e){S(c.$$.fragment,e),S(p.$$.fragment,e),S(d.$$.fragment,e),S(w.$$.fragment,e),S(_.$$.fragment,e),S(k.$$.fragment,e),S(L.$$.fragment,e),ue=!1},d(e){e&&(i(I),i(W),i(O),i(F),i(Y),i(m),i(B),i(u),i(D),i(G),i(f),i(J),i(v),i(K),i(g),i(Q),i(y),i(X),i(Z),i(x),i(ee),i($),i(te),i(b),i(ie),i(T),i(ae),i(se),i(C),i(ne),i(M),i(re),i(H),i(le),i(oe),i(P),i(he),i(A),i(ce),i(pe),i(V),i(me),i(j)),i(h),R(c,e),R(p,e),R(d,e),R(w,e),R(_,e),R(k,e),R(L,e)}}}const je='{"title":"Overview","local":"overview","sections":[{"title":"What is Hiera?","local":"what-is-hiera","sections":[],"depth":3},{"title":"From CNNs to ViTs","local":"from-cnns-to-vits","sections":[],"depth":3},{"title":"Hiera’s Approach: Pretraining Task is All You Need","local":"hieras-approach-pretraining-task-is-all-you-need","sections":[],"depth":3},{"title":"Simplifying MViTv2","local":"simplifying-mvitv2","sections":[],"depth":3},{"title":"Masked Autoencoder","local":"masked-autoencoder","sections":[],"depth":3}],"depth":2}';function Ie(de){return qe(()=>{new URLSearchParams(window.location.search).get("fw")}),[]}class Be extends ze{constructor(h){super(),Se(this,h,Ie,We,Ne,{})}}export{Be as component};
