import{s as Lt,n as _t,o as bt}from"../chunks/scheduler.7bc62968.js";import{S as Tt,i as Mt,g as s,s as l,r as K,A as Pt,h as o,f as i,c as a,j as Ct,u as X,x as r,k as yt,y as $t,a as n,v as Z,d as tt,t as et,w as it}from"../chunks/index.2f8492b0.js";import{H as nt}from"../chunks/Heading.14fb2476.js";function kt(lt){let d,I,$,A,u,H,p,at="Welcome to the Multimodal Text and Vision Models unit! 🌐📚👁️",E,m,st=`In the last unit we have learned about the Transformer architecture, which revolutionized Natural Language Processing, but did not stop at the text modality.
As we have seen it has begun to conquer the field of Vision (including image and video), bringing with it a wide array of new research and applications.`,V,f,ot="In this unit, we’ll focus on the data fusion possibilities that the modality-overlapping usage of Transformers has enabled and the benefitting tasks and models.",j,h,U,c,rt="Our adventure begins with understanding why blending text and images is crucial, exploring the history of multimodal models, and discovering how self-supervised learning unlocks the power of multimodality. The unit discusses about different modalities with a focus on text and vision. In this unit we will encounter three main topics:",q,g,dt=`<strong>1. A Multimodal World + Introduction to Vision Language Models</strong>
These chapter serve as a foundation, enabling learners to understand the significance of multimodal data, its representation, and its diverse applications laying the groundwork for the fusion of text and vision within AI models.`,z,v,ut="In this chapter, you will:",J,x,pt="<li>Understand the nature of real-world multimodal data coming from various sensory inputs that are important for human decision-making.</li> <li>Explore practical applications of multimodality in robotics, search , Visual Reasoning etc., showcasing their functionality and diverse applications.</li> <li>Learn about diverse multimodal tasks and models focusing on Image to Text, Text to Image, VQA, Document VQA, Captioning, Visual Reasoning etc.</li> <li>Conclude with an introduction on Vision Language Models and cool applications including multimodal chatbots.</li>",S,w,mt=`<strong>2. CLIP and Relatives</strong>
Moving ahead, this chapter talks about the popular CLIP model and similar vision language models.
In this chapter you will:`,D,C,ft="<li>Dive deep into CLIP’s magic, from theory to practical applications, and explore its variations.</li> <li>Discover relatives like Image-bind, BLIP, and others, along with their real-world implications and challenges.</li> <li>Explore the functionality of CLIP, its applications in search, zero-shot classification, and generation models like DALL-E.</li> <li>Understand contrastive and non-contrastive losses and explore the self-supervised learning techniques.</li>",R,y,ht=`<strong>3. Transfer Learning: Multimodal Text and Vision</strong>
In the final chapter of the unit you will:`,Q,L,ct="<li>Explore diverse multimodal model applications in specific tasks, including one-shot, few-shot, training from scratch, and transfer learning, setting the stage for an exploration of transfer learning’s advantages and practical applications in Jupyter notebooks.</li> <li>Engage in detailed practical implementations within Jupyter notebooks, covering tasks such as CLIP fine-tuning, Visual Question Answering, Image-to-Text, Open-set object detection, and GPT-4V-like Assistant models, focusing on task specifics, datasets, fine-tuning methods, and inference analyses.</li> <li>Conclude by comparing previous sections, discussing benefits, challenges, and offering insights into potential future advancements in multimodal learning.</li>",W,_,B,b,gt="Get ready for a captivating experience! We’ll explore the mechanisms behind multimodal models like CLIP, explore their applications, and journey through transfer learning for text and vision.",G,T,vt="By the end of this unit, you’ll possess a solid understanding of multimodal tasks, hands-on-experience with multimodal models, build cool applications based on them, and the evolving landscape of multimodal learning.",O,M,xt="Join us as we navigate the fascinating domain where text and vision converge, unlocking the possibilities of AI understanding the world in a more human-like manner.",Y,P,wt="Let’s begin 🚀🤗✨",N,k,F;return u=new nt({props:{title:"Exploring Multimodal Text and Vision Models: Uniting Senses in AI",local:"exploring-multimodal-text-and-vision-models-uniting-senses-in-ai",headingTag:"h1"}}),h=new nt({props:{title:"Exploring Multimodality 🔎🤔💭",local:"exploring-multimodality-",headingTag:"h2"}}),_=new nt({props:{title:"Your Journey Ahead 🏃🏻‍♂️🏃🏻‍♀️🏃🏻",local:"your-journey-ahead-",headingTag:"h2"}}),{c(){d=s("meta"),I=l(),$=s("p"),A=l(),K(u.$$.fragment),H=l(),p=s("p"),p.textContent=at,E=l(),m=s("p"),m.textContent=st,V=l(),f=s("p"),f.textContent=ot,j=l(),K(h.$$.fragment),U=l(),c=s("p"),c.textContent=rt,q=l(),g=s("p"),g.innerHTML=dt,z=l(),v=s("p"),v.textContent=ut,J=l(),x=s("ul"),x.innerHTML=pt,S=l(),w=s("p"),w.innerHTML=mt,D=l(),C=s("ul"),C.innerHTML=ft,R=l(),y=s("p"),y.innerHTML=ht,Q=l(),L=s("ul"),L.innerHTML=ct,W=l(),K(_.$$.fragment),B=l(),b=s("p"),b.textContent=gt,G=l(),T=s("p"),T.textContent=vt,O=l(),M=s("p"),M.textContent=xt,Y=l(),P=s("p"),P.textContent=wt,N=l(),k=s("p"),this.h()},l(t){const e=Pt("svelte-u9bgzb",document.head);d=o(e,"META",{name:!0,content:!0}),e.forEach(i),I=a(t),$=o(t,"P",{}),Ct($).forEach(i),A=a(t),X(u.$$.fragment,t),H=a(t),p=o(t,"P",{"data-svelte-h":!0}),r(p)!=="svelte-o8pgt1"&&(p.textContent=at),E=a(t),m=o(t,"P",{"data-svelte-h":!0}),r(m)!=="svelte-r8j6da"&&(m.textContent=st),V=a(t),f=o(t,"P",{"data-svelte-h":!0}),r(f)!=="svelte-5mob77"&&(f.textContent=ot),j=a(t),X(h.$$.fragment,t),U=a(t),c=o(t,"P",{"data-svelte-h":!0}),r(c)!=="svelte-1akgptu"&&(c.textContent=rt),q=a(t),g=o(t,"P",{"data-svelte-h":!0}),r(g)!=="svelte-11kxls"&&(g.innerHTML=dt),z=a(t),v=o(t,"P",{"data-svelte-h":!0}),r(v)!=="svelte-zr1qmf"&&(v.textContent=ut),J=a(t),x=o(t,"UL",{"data-svelte-h":!0}),r(x)!=="svelte-10s4tov"&&(x.innerHTML=pt),S=a(t),w=o(t,"P",{"data-svelte-h":!0}),r(w)!=="svelte-1mbwsdh"&&(w.innerHTML=mt),D=a(t),C=o(t,"UL",{"data-svelte-h":!0}),r(C)!=="svelte-a6j4w8"&&(C.innerHTML=ft),R=a(t),y=o(t,"P",{"data-svelte-h":!0}),r(y)!=="svelte-1wkqtrn"&&(y.innerHTML=ht),Q=a(t),L=o(t,"UL",{"data-svelte-h":!0}),r(L)!=="svelte-1tfdzji"&&(L.innerHTML=ct),W=a(t),X(_.$$.fragment,t),B=a(t),b=o(t,"P",{"data-svelte-h":!0}),r(b)!=="svelte-jwgjx6"&&(b.textContent=gt),G=a(t),T=o(t,"P",{"data-svelte-h":!0}),r(T)!=="svelte-12ta0ra"&&(T.textContent=vt),O=a(t),M=o(t,"P",{"data-svelte-h":!0}),r(M)!=="svelte-khszq4"&&(M.textContent=xt),Y=a(t),P=o(t,"P",{"data-svelte-h":!0}),r(P)!=="svelte-17pwdje"&&(P.textContent=wt),N=a(t),k=o(t,"P",{}),Ct(k).forEach(i),this.h()},h(){yt(d,"name","hf:doc:metadata"),yt(d,"content",It)},m(t,e){$t(document.head,d),n(t,I,e),n(t,$,e),n(t,A,e),Z(u,t,e),n(t,H,e),n(t,p,e),n(t,E,e),n(t,m,e),n(t,V,e),n(t,f,e),n(t,j,e),Z(h,t,e),n(t,U,e),n(t,c,e),n(t,q,e),n(t,g,e),n(t,z,e),n(t,v,e),n(t,J,e),n(t,x,e),n(t,S,e),n(t,w,e),n(t,D,e),n(t,C,e),n(t,R,e),n(t,y,e),n(t,Q,e),n(t,L,e),n(t,W,e),Z(_,t,e),n(t,B,e),n(t,b,e),n(t,G,e),n(t,T,e),n(t,O,e),n(t,M,e),n(t,Y,e),n(t,P,e),n(t,N,e),n(t,k,e),F=!0},p:_t,i(t){F||(tt(u.$$.fragment,t),tt(h.$$.fragment,t),tt(_.$$.fragment,t),F=!0)},o(t){et(u.$$.fragment,t),et(h.$$.fragment,t),et(_.$$.fragment,t),F=!1},d(t){t&&(i(I),i($),i(A),i(H),i(p),i(E),i(m),i(V),i(f),i(j),i(U),i(c),i(q),i(g),i(z),i(v),i(J),i(x),i(S),i(w),i(D),i(C),i(R),i(y),i(Q),i(L),i(W),i(B),i(b),i(G),i(T),i(O),i(M),i(Y),i(P),i(N),i(k)),i(d),it(u,t),it(h,t),it(_,t)}}}const It='{"title":"Exploring Multimodal Text and Vision Models: Uniting Senses in AI","local":"exploring-multimodal-text-and-vision-models-uniting-senses-in-ai","sections":[{"title":"Exploring Multimodality 🔎🤔💭","local":"exploring-multimodality-","sections":[],"depth":2},{"title":"Your Journey Ahead 🏃🏻‍♂️🏃🏻‍♀️🏃🏻","local":"your-journey-ahead-","sections":[],"depth":2}],"depth":1}';function At(lt){return bt(()=>{new URLSearchParams(window.location.search).get("fw")}),[]}class jt extends Tt{constructor(d){super(),Mt(this,d,At,kt,Lt,{})}}export{jt as component};
